<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:body>
        <ui:composition template="../layout_p.xhtml">
            <ui:define name="titulo">MusicApp | Cursos</ui:define>
            <ui:define name="encabezado">Información sobre los cursos</ui:define>
            <ui:define name="subencabezado"></ui:define>
            <ui:define name="contenido">

                <div class="row">
                    
                        <div class="col-md-3">
                            <div class="box box-widget ">
                                <div class="box-header with-border text-center">
                                    <h4>Listado de Cursos</h4>
                                </div>
                                <div>
                                    <ol>
                                        <ui:repeat value="#{cursoBean.consultarCursos()}" var="curso" varStatus="estado">  
                                            <li><h5><h:link outcome="index" value="#{curso.nombre}"/> </h5></li>
                                        </ui:repeat> 
                                    </ol>
                                </div>

                            </div> <!--box-->
                        </div><!-- /.row -->
                    
                    <!--Comienza la tabla de registros -->
                    <h:form>
                    <div class="col-md-9">
                        <div class="box-header">
                            <div class="col-md-offset-5">
                                <h3 class="box-title">Breve Descripción</h3>
                            </div>                                
                            <h:inputTextarea value="#{cursoBean.curso.descripcion}" class="col-md-12" rows="10" cols="80"/>
                        </div>

                        <div class="box-footer">
                            <h:commandButton value="Crear" class="btn btn-primary" action="#{cursoBean.registrarCurso()}"/>
                        </div>
                    </div>
                    </h:form>
                    <div class="col-md-9">
                        <div class="box ">
                            <div class="box-header  text-center">
                                <h3 class="box-title">Listado de Estudiantes</h3>

                            </div>
                            <!-- /.box-header -->
                            <div class="box-body table-responsive no-padding ">
                                <table class="table table-hover ">
                                    <thead>
                                        <tr>
                                            <th>Nombre</th>
                                            <th>Correo Electrónico</th>
                                            <th>Tomando Curso De:</th>                                            
                                        </tr>
                                    </thead>
                                    <tbody>                                      
                                        <tr>
                                            <td>Daniel Barrios</td>
                                            <td>batadan@yahoo.com</td>
                                            <td>Guitarra</td>                                             
                                        </tr>                                        
                                    </tbody>
                                </table>
                            </div>
                            <!-- /.box-body -->
                        </div>
                        <!-- /.box -->
                    </div>


                </div>                
            </ui:define>

        </ui:composition>    
    </h:body> 
</html>